glibmm: Glib::Variant< std::string > Class Reference

glibmm 2.33.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions
Glib::Variant< std::string > Class Reference
Variant Data Types

Specialization of Variant containing a std::string, for variants of type bytestring, object path, or signature. More...

`#include <glibmm/variant.h>`

Inheritance diagram for Glib::Variant< std::string >:
[legend]

List of all members.

## Public Types
typedef char* | CType
typedef std::string | CppType
## Public Member Functions
| Variant ()
| Default constructor.
| Variant (GVariant* castitem, bool take_a_reference=false)
| GVariant constructor.
std::string | get () const
## Static Public Member Functions
static const VariantType& | variant_type ()
| Gets the VariantType.
static Variant< std::string > | create (const std::string& data)
| Creates a new Variant<std::string>.

## Detailed Description

Specialization of Variant containing a std::string, for variants of type bytestring, object path, or signature.

See also Variant<Glib::ustring> for UTF-8 strings.

Since glibmm 2.28:

## Member Typedef Documentation

typedef std::string Glib::Variant< std::string >::CppType

Reimplemented from Glib::VariantStringBase.

typedef char* Glib::Variant< std::string >::CType

Reimplemented from Glib::VariantStringBase.

## Constructor & Destructor Documentation

Glib::Variant< std::string >::Variant | ( |  | ) |

Default constructor.

Glib::Variant< std::string >::Variant | ( | GVariant< std::string > * | castitem,
|  | bool | take_a_reference = `false`
| ) |  | `[explicit]`

GVariant constructor.

Parameters:

  castitem | The GVariant to wrap.
  take_a_reference | Whether to take an extra reference of the GVariant or not (not taking one could destroy the GVariant with the wrapper).

## Member Function Documentation

static Variant<std::string> Glib::Variant< std::string >::create | ( | const std::string & | data | ) | `[static]`

Creates a new Variant<std::string>.

Parameters:

  data | The value of the new Variant.

Returns:
  The new Variant.

Since glibmm 2.28:

std::string Glib::Variant< std::string >::get | ( |  | ) | const

static const VariantType& Glib::Variant< std::string >::variant_type | ( |  | ) | `[static]`

Gets the VariantType.

Returns:
  The VariantType.

Since glibmm 2.28: